#!/bin/bash

function success(){
  echo -e "\e[92m"$1"\e[0m"
}
function warn(){
  echo -e "\e[93m"$1"\e[0m"
}
function error(){
  echo -e "\e[91m"$1"\e[0m"
}

pghome="/data/pgsql/data"
export PGPASSWORD="Informat-Next_#,.20221001"

echo "postgres ALL=(ALL) NOPASSWD: ALL" >> /etc/sudoers
echo 'export PS1="[\u@\h \W]$ "' >> /etc/profile
echo "postgres:Informat-Next_#,.20221001" | chpasswd
echo "export PATH=/usr/pgsql-13/bin:$PATH" >> /etc/profile

cd "$(dirname "$0")"

firewall-cmd --zone=public --add-port=5432/tcp --permanent
firewall-cmd --zone=public --add-port=9999/tcp --permanent
firewall-cmd --zone=public --add-port=9000/tcp --permanent
firewall-cmd --zone=public --add-port=9694/tcp --permanent
firewall-cmd --zone=public --add-port=9898/tcp --permanent
firewall-cmd --reload

unzip pgpool.zip
cd pgpool2
yum localinstall *.rpm

if [ ! -d "/etc/pgpool-II" ]; then
  error "pgpool 安装失败"
  exit 1
else
  success "pgpool 安装成功"
fi

cd ..

cp -vf pool_hba.conf /etc/pgpool-II
chown -R postgres:postgres /etc/pgpool-II

mkdir -p /var/lib/pgsql/archivedir
chown -R postgres:postgres /var/lib/pgsql/archivedir

cp -vf *.conf $pghome
chown -R postgres:postgres /data/pgsql/data

systemctl restart postgresql-13
systemctl status postgresql-13

psql -U postgres -p 5432 -c "alter user postgres with encrypted password 'Informat-Next_#,.20221001';"
psql -U postgres -p 5432 -c "CREATE ROLE pgpool WITH LOGIN;alter user pgpool with encrypted password 'Informat-Next_#,.20221001';GRANT pg_monitor TO pgpool;"
