#!/bin/bash

function success(){
  echo -e "\e[92m"$1"\e[0m"
}
function warn(){
  echo -e "\e[93m"$1"\e[0m"
}
function error(){
  echo -e "\e[91m"$1"\e[0m"
}

cd "$(dirname "$0")"

systemctl stop redis
./create-node.sh 6381
if [ $? -ne 0 ]; then
  error "创建节点6381失败"
  exit 1
else
  success "创建节点6381成功"
fi

./create-node.sh 6382
if [ $? -ne 0 ]; then
  error "创建节点6382失败"
  exit 1
else
  success "创建节点6382成功"
fi
cp -vf redis-cluster.service /etc/systemd/system/
cp -vf ./run.sh /usr/local/redis
success "服务复制成功"
systemctl daemon-reload
systemctl enable redis-cluster
systemctl start redis-cluster

if systemctl is-active --quiet "redis"; then
  success "redis 服务已成功启动"
else
  warn "redis 服务启动失败，请查看日志并排查启动失败原因"
fi